import 'package:feelverapp/util/SizeConfig.dart';
import 'package:flutter/material.dart';



class myAppBar extends StatefulWidget {

  String title;

  myAppBar({this.title=''});

  @override
  _myAppBarState createState() => _myAppBarState();
}

class _myAppBarState extends State<myAppBar> {
  @override
  Widget build(BuildContext context) {
    SizeConfig(context);
    return Container(
        padding: EdgeInsets.only(top: SizeConfig.getPadding(54),left: SizeConfig.getPadding(16)),
        width: double.infinity,
//            color: Colors.amber,
        child: Stack(
          children: <Widget>[
            Row(
              children: <Widget>[
                Container(
//                      color: Colors.red,
                  child: Image.asset(
                    'assets/images/ic_back.png',
                    width: SizeConfig.getHeight(20),
                    height: SizeConfig.getHeight(20),
                  ),
                ),
              ],
            ),

            Row(
              crossAxisAlignment: CrossAxisAlignment.center,
              mainAxisAlignment: MainAxisAlignment.center,
              children: <Widget>[
                Text(widget.title,
                  textAlign: TextAlign.center,
                  style: TextStyle(
                      color: Colors.white,
                      fontSize: SizeConfig.getFontSize(20),
                      fontFamily: "SF_Pro_Text",
                      fontWeight: FontWeight.w500),
                ),
              ],
            ),
          ],
        )

    );
  }
}
